Bug 206356 - web UI allows setting an invalid user name to a config file
web UI allows setting an invalid user name to a config file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn420
All Linux
medium Severity medium
: ---
: ---
Assigned To: Grant Gainey
Preethi Thomas
:
Depends On:
Blocks: rhn500h-config-mgmt
  Show dependency treegraph
 
Reported: 2006-09-13 16:41 EDT by Ken Ganong
Modified: 2007-04-18 13:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-12 22:43:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Ganong 2006-09-13 16:41:12 EDT
Go to a config file.
change the user ownership to 13a
It allows you to change to this ownership even though it is neither a valid user
name nor a valid user id.
Comment 1 Grant Gainey 2006-09-29 08:56:06 EDT
Added Linux-name and -id validation routines.
Comment 2 Grant Gainey 2006-11-06 10:05:05 EST
Moving to ON_DEV
Comment 3 Grant Gainey 2006-12-04 16:58:36 EST
ON_QA, here we come!
Comment 4 Preethi Thomas 2007-01-08 09:27:57 EST
Verified in 500
Comment 5 Preethi Thomas 2007-03-07 12:39:31 EST
verified in stage.
Comment 6 Brandon Perkins 2007-03-12 22:43:15 EDT
Closed in the rhn500h Release.

Note You need to log in before you can comment on or make changes to this bug.